发布时间 :2000-07-05 00:00:00
修订时间 :2008-09-10 15:05:10

[原文]libedit searches for the .editrc file in the current directory instead of the user's home directory, which may allow local users to execute arbitrary commands by installing a modified .editrc in another directory.



- CVSS (基础分值)

CVSS分值: 4.6 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:freebsd:freebsd:3.1FreeBSD 3.1
cpe:/o:freebsd:freebsd:3.4FreeBSD 3.4
cpe:/o:freebsd:freebsd:3.2FreeBSD 3.2
cpe:/o:freebsd:freebsd:3.0FreeBSD 3.0
cpe:/o:freebsd:freebsd:3.3FreeBSD 3.3
cpe:/o:freebsd:freebsd:4.0FreeBSD 4.0

- OVAL (用于检测的技术细节)


- 官方数据库链接
(官方数据源) MITRE
(官方数据源) NVD
(官方数据源) CNNVD

- 其它链接及资源

- 漏洞信息

中危 未知
2000-07-05 00:00:00 2005-05-02 00:00:00

- 公告与补丁


- 漏洞信息

FreeBSD libedit .editrc Arbitrary Command Execution
Local Access Required Input Manipulation
Loss of Integrity

- 漏洞描述

FreeBSD contains a flaw that may allow a malicious user to gain access to unauthorized privileges. The issue is triggered when libedit reads a .editrc configuration file from the current directory without checking permissions on the file. A malicious user can create a .editrc file and execute arbitrary commands at a privileged level when libedit is run. This flaw may lead to a loss of integrity.

- 时间线

2000-07-05 Unknow
Unknow Unknow

- 解决方案

Upgrade to version dated after the correction date, as it has been reported to fix this vulnerability. It is also possible to correct the flaw by implementing the following workaround(s): do not interactively run utilities which link against libedit from directories which can be written to by other users.

- 相关参考

- 漏洞作者